Commit 93b36cb7 authored by Gábor Hojtsy's avatar Gábor Hojtsy

Issue #2873768 by dhopki12, WidgetsBurritos, harsha012, Mile23, catch: Add...

Issue #2873768 by dhopki12, WidgetsBurritos, harsha012, Mile23, catch: Add Change record to @deprecated for *.modules constants
parent 34425282
......@@ -13,6 +13,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\aggregator\FeedStorageInterface::CLEAR_NEVER instead.
*
* @see https://www.drupal.org/node/2831620
*/
const AGGREGATOR_CLEAR_NEVER = 0;
......
......@@ -31,6 +31,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\comment\CommentInterface::ANONYMOUS_MAYNOT_CONTACT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const COMMENT_ANONYMOUS_MAYNOT_CONTACT = 0;
......@@ -39,6 +41,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\comment\CommentInterface::ANONYMOUS_MAY_CONTACT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const COMMENT_ANONYMOUS_MAY_CONTACT = 1;
......@@ -47,6 +51,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\comment\CommentInterface::ANONYMOUS_MUST_CONTACT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const COMMENT_ANONYMOUS_MUST_CONTACT = 2;
......
......@@ -16,6 +16,8 @@
* Image style constant for user presets in the database.
*
* @deprecated in Drupal 8.1.x, will be removed before Drupal 9.0.0.
*
* @see https://www.drupal.org/node/1820974
*/
const IMAGE_STORAGE_NORMAL = 1;
......@@ -23,6 +25,8 @@
* Image style constant for user presets that override module-defined presets.
*
* @deprecated in Drupal 8.1.x, will be removed before Drupal 9.0.0.
*
* @see https://www.drupal.org/node/1820974
*/
const IMAGE_STORAGE_OVERRIDE = 2;
......@@ -30,6 +34,8 @@
* Image style constant for module-defined presets in code.
*
* @deprecated in Drupal 8.1.x, will be removed before Drupal 9.0.0.
*
* @see https://www.drupal.org/node/1820974
*/
const IMAGE_STORAGE_DEFAULT = 4;
......@@ -37,6 +43,8 @@
* Image style constant to represent an editable preset.
*
* @deprecated in Drupal 8.1.x, will be removed before Drupal 9.0.0.
*
* @see https://www.drupal.org/node/1820974
*/
define('IMAGE_STORAGE_EDITABLE', IMAGE_STORAGE_NORMAL | IMAGE_STORAGE_OVERRIDE);
......@@ -44,6 +52,8 @@
* Image style constant to represent any module-based preset.
*
* @deprecated in Drupal 8.1.x, will be removed before Drupal 9.0.0.
*
* @see https://www.drupal.org/node/1820974
*/
define('IMAGE_STORAGE_MODULE', IMAGE_STORAGE_OVERRIDE | IMAGE_STORAGE_DEFAULT);
......
......@@ -26,6 +26,8 @@
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0. Use
* \Drupal\Core\Config\Entity\ConfigEntityStorage::MAX_ID_LENGTH because the
* menu name is a configuration entity ID.
*
* @see https://www.drupal.org/node/2831620
*/
const MENU_MAX_MENU_NAME_LENGTH_UI = 27;
......
......@@ -34,6 +34,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::NOT_PUBLISHED instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_NOT_PUBLISHED = 0;
......@@ -42,6 +44,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::PUBLISHED instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_PUBLISHED = 1;
......@@ -50,6 +54,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::NOT_PROMOTED instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_NOT_PROMOTED = 0;
......@@ -58,6 +64,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::PROMOTED instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_PROMOTED = 1;
......@@ -66,6 +74,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::NOT_STICKY instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_NOT_STICKY = 0;
......@@ -74,6 +84,8 @@
*
* @deprecated Scheduled for removal in Drupal 9.0.x.
* Use \Drupal\node\NodeInterface::STICKY instead.
*
* @see https://www.drupal.org/node/2316145
*/
const NODE_STICKY = 1;
......
......@@ -20,6 +20,8 @@
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0. Use
* Drupal\responsive_image\ResponsiveImageStyleInterface::EMPTY_IMAGE
* instead.
*
* @see https://www.drupal.org/node/2831620
*/
const RESPONSIVE_IMAGE_EMPTY_IMAGE = '_empty image_';
......@@ -29,6 +31,8 @@
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0. Use
* \Drupal\responsive_image\ResponsiveImageStyleInterface::ORIGINAL_IMAGE
* instead.
*
* @see https://www.drupal.org/node/2831620
*/
const RESPONSIVE_IMAGE_ORIGINAL_IMAGE = '_original image_';
......
......@@ -33,6 +33,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::TIMEZONE_DEFAULT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const DRUPAL_USER_TIMEZONE_DEFAULT = 0;
......@@ -41,6 +43,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::TIMEZONE_EMPTY instead.
*
* @see https://www.drupal.org/node/2831620
*/
const DRUPAL_USER_TIMEZONE_EMPTY = 1;
......@@ -49,6 +53,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::TIMEZONE_SELECT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const DRUPAL_USER_TIMEZONE_SELECT = 2;
......@@ -74,6 +80,7 @@
* Use \Drupal\block\BlockRepositoryInterface::REGIONS_VISIBLE instead.
*
* @see system_region_list()
* @see https://www.drupal.org/node/2831620
*/
const REGIONS_VISIBLE = 'visible';
......@@ -84,6 +91,7 @@
* Use \Drupal\block\BlockRepositoryInterface::REGIONS_ALL instead.
*
* @see system_region_list()
* @see https://www.drupal.org/node/2831620
*/
const REGIONS_ALL = 'all';
......
......@@ -22,6 +22,8 @@
*
* @deprecated in Drupal 8.2.x and will be removed before 9.0.0. Use
* \Drupal\taxonomy\VocabularyInterface::HIERARCHY_DISABLED instead.
*
* @see https://www.drupal.org/node/2807795
*/
const TAXONOMY_HIERARCHY_DISABLED = 0;
......@@ -30,6 +32,8 @@
*
* @deprecated in Drupal 8.2.x and will be removed before 9.0.0. Use
* \Drupal\taxonomy\VocabularyInterface::HIERARCHY_SINGLE instead.
*
* @see https://www.drupal.org/node/2807795
*/
const TAXONOMY_HIERARCHY_SINGLE = 1;
......@@ -38,6 +42,8 @@
*
* @deprecated in Drupal 8.2.x and will be removed before 9.0.0. Use
* \Drupal\taxonomy\VocabularyInterface::HIERARCHY_MULTIPLE instead.
*
* @see https://www.drupal.org/node/2807795
*/
const TAXONOMY_HIERARCHY_MULTIPLE = 2;
......
......@@ -23,6 +23,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateManagerInterface::NOT_SECURE instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_NOT_SECURE = 1;
......@@ -31,6 +33,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateManagerInterface::REVOKED instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_REVOKED = 2;
......@@ -39,6 +43,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateManagerInterface::NOT_SUPPORTED instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_NOT_SUPPORTED = 3;
......@@ -47,6 +53,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateManagerInterface::NOT_CURRENT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_NOT_CURRENT = 4;
......@@ -55,6 +63,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateManagerInterface::CURRENT instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_CURRENT = 5;
......@@ -63,6 +73,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateFetcherInterface::NOT_CHECKED instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_NOT_CHECKED = -1;
......@@ -71,6 +83,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateFetcherInterface::UNKNOWN instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_UNKNOWN = -2;
......@@ -79,6 +93,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateFetcherInterface::NOT_FETCHED instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_NOT_FETCHED = -3;
......@@ -87,6 +103,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\update\UpdateFetcherInterface::FETCH_PENDING instead.
*
* @see https://www.drupal.org/node/2831620
*/
const UPDATE_FETCH_PENDING = -4;
......
......@@ -31,6 +31,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::USERNAME_MAX_LENGTH instead.
*
* @see https://www.drupal.org/node/2831620
*/
const USERNAME_MAX_LENGTH = 60;
......@@ -39,6 +41,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::REGISTER_ADMINISTRATORS_ONLY instead.
*
* @see https://www.drupal.org/node/2831620
*/
const USER_REGISTER_ADMINISTRATORS_ONLY = 'admin_only';
......@@ -47,6 +51,8 @@
*
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::REGISTER_VISITORS instead.
*
* @see https://www.drupal.org/node/2831620
*/
const USER_REGISTER_VISITORS = 'visitors';
......@@ -57,6 +63,8 @@
* @deprecated in Drupal 8.3.x and will be removed before Drupal 9.0.0.
* Use \Drupal\user\UserInterface::REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL
* instead.
*
* @see https://www.drupal.org/node/2831620
*/
const USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL = 'visitors_admin_approval';
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment